package ar.com.supervielle.wsdl.servicios.integracion.cuenta.ctacte_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:39:06.472-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", name = "CuentaCorrientePortType_v1.2")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetallecon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaoperaciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasolicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacobrospendientes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.altaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbuban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbu_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaordendecuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadasban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.solicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadascon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalleban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultarepositorioextracto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatraso_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbucon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.bajaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldopromedio_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractoscon_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface CuentaCorrientePortTypeV12 {

    @WebMethod(operationName = "consultaListado_v12", action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1.2/consultaListado_v12")
    public void consultaListadoV12(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1.2")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ReqConsultaListado entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1.2")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.RespConsultaListado> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
